Subject: PMP> Reminder of Last Call

From: Ron Bergman <[email-masked]>
Date: Fri, 14 Jan 2000 17:53:17 -0800

Just a reminder that the last call expires one week from Monday (Jan
24th).

To date there have not been anyone who desires to go back to the names
in RFC 1759.  If no objections are received, these names will stay as is

and the subject closed.

    Ron Bergman
    Hitachi Koki Imaging Solutions

Subject: Re: PMP> RE: Final edits to Printer MIB v2 - fix broken names
From: Ron Bergman <[email-masked]>
To: "Elvers, Mike" <[email-masked]>
Cc: "'McDonald, Ira'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "Hastings, Tom N" <[email-masked]>, "Filion, Joseph L" <[email-masked]>, "Gloger, Paul" <[email-masked]>, "Whittle, Craig" <[email-masked]>
Date: Mon, 03 Jan 2000 08:40:40 -0800

Happy New Year!  Hope everyone had a very good holiday!

(Now back to work)

I need to know, ASAP, if these enum name changes really have
an impact on anyone's system.  So far there has been no response
to Mike Elvers message.

Now that the holidays are over, I would like to get the Printer MIB
into a 'ready to go' stage, so that it can progress as soon as the HR
MIB is approved.  Please review this message and if any of these
changes have an impact, please reply stating which items are a
problem.  No response is assumed to be a 'no problem" reply (but
it would be nice if some 'no problem' replies were received ;-)

The deadline is January 24th (3 weeks).  No changes will be made
to the MIB unless a reply is received to a specific item.

    Ron Bergman
    Hitachi Koki Imaging Solutions

"Elvers, Mike" wrote:

> I was finally able to complete the listing of enumeration changes between
> version 1 and version 2 of the Printer MIB (RFC17659).  Please see the
> listed items below.  I did this is textual mode for those of you who don't
> have an appropriate email tool for handling attachments or enhanced text.
> This list includes everything that is different between an enumeration that
> existed in version 1 and the new definition in version 2.  I have not listed
> new values or any unchanged old values.  I have listed the object that
> defines the enumeration for clarity.
>
> I am providing this information so the people are aware of the extent of the
> changes that were made.  I am not suggesting all of these should not be
> made.  In some cases, where spelling is the motivator, (as in the
> PrtAlertGroupTC or PrtInterpreterLangFamilyTC values) I could see where
> those kind of changes would be desirable.  However, in the cases where it is
> simple a tense issue or where items were actually deleted, I would suggest
> that these be reconsidered and thought given to if these are, in fact,
> essential and necessary.
>
> Printer MIB v1                          Printer MIB v2
> --------------                          --------------
>
> prtAlertCode                            PrtAlertCodeTC
>     coverOpen = 3                           coverOpened = 3
>     interlockOpen = 5                       interlockOpened = 5
>     configurationChange = 7                 configurationChanged = 7
>     jam = 8                                 jammed = 8
>     powerUp = 503                           poweredUp = 503
>     powerDown = 504                         poweredDown = 504
>     inputMediaSizeChange = 802              inputMediaSizeChanged = 802
>     inputMediaWeightChange = 803            inputMediaWeightChanged = 803
>     inputMediaTypeChange = 804              inputMediaTypeChanged = 804
>     inputMediaColorChange = 805             inputMediaColorChanged = 805
>     interpreterMemoryIncrease = 1501        interpreterMemoryIncreased =
> 1501
>     interpreterMemoryDecrease = 1502        interpreterMemoryDecreased =
> 1502
>
> prtAlertGroup                           PrtAlertGroupTC
>     hostResourceMIBStorageTable = 3         hostResourcesMIBStorageTable = 3
>     hostResourceMIBDeviceTable = 4          hostResourcesMIBDeviceTable = 4
>
> prtAlertSeverityLevel                   PrtAlertSeverityLevelTC
>     critical = 3                            criticalBinaryChangeEvent = 3
>     warning = 4                             warningUnaryChangeEvent = 4
>
> prtChannelType                          PrtChannelTypeTC
>     chDCERemoteProcCall = 22                <deleted>
>     chONCRemoteProcCall = 23                <deleted>
>     chOLE = 24                              <deleted>
>     chNamedPipe = 25                        <deleted>
>     chDPMF = 28                             chPSM = 28
>     chDLLAPI = 29                           <deleted>
>     chVxDAPI = 30                           <deleted>
>
> prtConsoleDisable                       prtConsoleDisable
>     enabled = 3                             operatorConsoleEnabled = 3
>     disabled = 4                            operatorConsoleDisabled = 4
>
> prtCoverStatus                          PrtCoverStatusTC
>     doorOpen = 3                            coverOpen = 3
>     doorClosed = 4                          coverClosed = 4
>
> prtInterpreterLangFamily                PrtInterpreterLangFamilyTC
>     langImPress = 33                        langimPress = 33
>
> prtMarkerMarkTech                       PrtMarkerMarkTechTC
>     electroPhotographicLED = 3              electrophotographicLED = 3
>     electroPhotographicLaser = 4            electrophotographicLaser = 4
>     electroPhotographicOther = 5            electrophotographicOther = 5
>     impactMovingHeadDotMatrix9Pin = 6       impactMovingHeadDotMatrix9pin =
> 6
>     impactMovingHeadDotMatrix24Pin = 7      impactMovingHeadDotMatrix24pin =
> 7
>
> prtMediaPathMaxSpeedPrintUnit           PrtMediaPathMaxSpeedPrintUnitTC
>     feetPerhour = 16                        feetPerHour = 16
>
> prtOutputType                           PrtOutputTypeTC
>     mailbox = 6                             mailBox = 6
>
> subUnitStatus                           PrtSubUnitStatusTC
>     intendedStateIsOnLine           0       stateIsOnLine
> 0
>     intendedStateIsOffLine          32      stateIsOffLine
> 32
>     atIntendedState                 0       currentlyAtIntendedState
> 0
>     transitiioningToIntendedState   64      transitioningToIntendedState
> 64
>
> Mike
>
> X
> Mike Elvers
> The Document Company Xerox
> 200 Crosskeys Office Park
> M/S 815-000
> Fairport, New York 14450
> Phone:  716-425-6449
> Intelnet:       8*225-6449
> Email:  mailto:[email-masked]
>
> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: Tuesday, December 21, 1999 6:32 PM
> To: [email-masked]'; [email-masked]'; [email-masked]';
> [email-masked]'; [email-masked]';
> [email-masked]'; [email-masked]';
> [email-masked]'; McDonald, Ira; Whittle, Craig
> Subject: Final edits to Printer MIB v2 - fix broken names
>
> Hi Harry Lewis and PMP folks,
>
> I've just learned from Ron Bergman (PMP chair) that the
> IETF Host Resources MIB v2 is 'close' to moving forward
> to IESG 'last call', after Steve Waldbusser's recent work.
>
> BEFORE we send the final text of the Printer MIB v2 to the IESG,
> I urge that we restore to original Printer MIB (RFC 1759) names:
>
> 1)  Several textual conventions originally from Printer MIB v1
>     (RFC 1759), which were renamed with a 'Prt...' prefix
>     - this breaks IMPORTS into other MIB modules;
>
> 2)  Several enumeration labels originally from Printer MIB v1
>     (RFC 1759), which were renamed, apparently for clarity
>     - this breaks open management stations and client tools.
>
> UNLESS the above corrections are made, it is IMPOSSIBLE to build
> a hybrid device or client software implementation, which conforms
> simultaneously to both Printer MIB v1 and Printer MIB v2.
>
> I don't have the detailed list here at the moment but Ron Bergman
> (Hitachi/Koki) has encountered the renamed textual conventions
> and Mike Elvers (Xerox) has encountered the renamed enumeration
> labels - they CAN supply the short list of corrections to be
> made.
>
> If you are not an implementor, you may not realize how serious
> the breakage is from these small name errors.  If you are an
> implementor, you've already had to hand-edit the Printer MIB v2
> text in order to proceed with your own development.  These are
> NOT just hypothetical problems.
>
> Cheers,
> - Ira McDonald (outside consultant at Sharp Labs America)
>   High North Inc